import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';

import { AppComponent } from './app.component';
import {HttpClientModule} from '@angular/common/http';
import {AppRoutesModule} from './appRoutes.module';
import {PageNotFoundComponent} from './ErrorComponents/page-not-found.component';
import {LoginComponent} from './LoginComponents/login.component';
import {LoginService} from './LoginComponents/login.service';
import {FormsModule, ReactiveFormsModule} from '@angular/forms';
import {HttpErrorService} from './ErrorComponents/http-error.service';

@NgModule({
  declarations: [
    AppComponent,
    LoginComponent,
    PageNotFoundComponent
  ],
  imports: [
    BrowserModule,
    HttpClientModule,
    AppRoutesModule,
    FormsModule,
    ReactiveFormsModule
  ],
  providers: [LoginService, HttpErrorService],
  bootstrap: [AppComponent]
})
export class AppModule { }
